%global dlrn_nvr stevedore-3.3.3-1.20221025091001.7b48fff
%global dlrn 1
%define upstream_version 3.3.3
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc Manage dynamic plugins for Python applications

Name:           python-stevedore
Version: 3.3.3
Release: 1.20221025091001.7b48fff%{?dist}
Summary:        Manage dynamic plugins for Python applications

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/openstack/stevedore
Source0: stevedore-3.3.3-1.20221025091001.7b48fff.tar.gz
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source1:        https://tarballs.openstack.org/stevedore/stevedore-%{upstream_version}.tar.gz.asc
Source2:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-mock
BuildRequires:  python3-testrepository
#BuildRequires:  python3-discover
#BuildRequires:  python3-oslotest

%description
%{common_desc}

%package -n python3-stevedore
Summary:        Manage dynamic plugins for Python applications
Group:          Development/Libraries
%{?python_provide:%python_provide python3-stevedore}

Requires:       python3-pbr >= 2.0.0
Requires:       python3-importlib-metadata >= 1.7.0

%description -n python3-stevedore
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%endif
%setup -q -n stevedore-%{upstream_version}

# let RPM handle deps
rm -f requirements.txt

%build
%{py3_build}

%install
%{py3_install}

%check
#TODO: reenable when commented test requirements above are available
#
# patches_ignore=DROP-IN-RPM
# patches_base=7b48fffd01307223b53ef129bb6a0753a67abdce
#PYTHONPATH=. nosetests
#
#%if 0%{?with_python3}
#pushd %{py3dir}
#PYTHONPATH=. nosetests-%{python3_version}
#popd
#%endif

%files -n python3-stevedore
%license LICENSE
%doc README.rst
%{python3_sitelib}/stevedore
%{python3_sitelib}/stevedore-*.egg-info

%changelog
* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.3-1.20221025091001.7b48fff
- Update patches
- Order old importlib-metadata results by group

* Tue Oct 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.2-1.20221018234602.48e178a
- Update patches
- Fix compatibility with Python 3.12, importlib-metadata 5.0
- Fix compatibility with Python 3.10, 3.9.11
- Rely on member access, the preferred access since importlib_metadata 4.8.

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220727175041.eeec4a3
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220714113626.eeec4a3
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220713074348.eeec4a3
- Update patches

* Sat Feb 26 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220226062257.eeec4a3
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220225062225.eeec4a3
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Dropping lower constraints testing

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.0-0.20210527192909.7d7154f
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.0-1
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use py3 as the default runtime for tox
- Adding pre-commit
- Fix cache dir flooding when running from /tmp
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- fix supported python versions in documentation

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the bug 1892610. There're some syntax errors in the comment of stevedore code.

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add property methods to extension for more entry point values

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- sphinxext: fix warning message for detailed list
- add release note before major version update
- switch to importlib.metadata package

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Travis CI config
- Replace external mock with built-in unittest.mock

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Switch to newer openstackdocstheme and reno versions
- Add Python3 victoria unit tests
- Mark sphinx extensions thread safe
- Remove dead files
- Drop Python 2.7 support
- Update master for stable/ussuri

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 06 2019 Alfredo Moralejo <amoralej@redhat.com> 1.31.0-2
- Update to upstream version 1.31.0

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.30.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.30.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 08 2019 RDO <dev@lists.rdoproject.org> 1.30.1-1
- Update to 1.30.1


